import { defineStore } from "pinia";

const state = () => ({
  pageCur: 'index',
  pageIndex: 0
})

export const useTabbarStore = defineStore('tabbar', {
  state,
  getters: {
    setPageCur() {
      return this.pageCur
    },
    setPageIndex() {
      return this.pageIndex
    }
  },
  actions: {
    getPageCur(_pageCur_) {
      this.pageCur = _pageCur_
    },
    getPageIndex(_pageIndex_) {
      this.pageIndex = _pageIndex_
    },
  }
})